{% extends "bootstrap/base.html" %}

{% block title %} {{user.username}}'s Page {% endblock %}

{% block content %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="{{url_for('static', filename='index.css')}}" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
{% endblock %}
<head>
  <script type="text/javascript" src="{{ url_for('static', filename='jquery.im.js')}}"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='likes.js')}}"></script>
  <title>{{user.username}}</title>
  </head>
  <body>
    {% include "navBar.html"%}
    <div class="container-fluid h-100">

      <div class="row">

        <div class="col-md-3" id="left-side-pan" >{% include "userProfile.html"%}</div>

        <div class="col-md-6">
          {% if current_user == user %}
          <h1>Welcome to your homepage</h1>
          {% include "blogPost.html"%}



          {% include "blogStream.html"%}


          {%else%}
          <h1>Welcome to {{user.username}}'s page</h1>
          {% include "blogStream.html"%}
          {% endif %}
        </div>

        <div class ="col-md-3" id="right-side-pan">
          <!-- flashed messages will be used to confirm to user information from application layer-->
            {% with messages = get_flashed_messages() %}
              {% if messages %}
                <ul>
                  {% for messages in messages %}
                    <li>{{messages}}</li>
                  {% endfor %}
                </ul>
              {% endif %}
            {% endwith %}

        </div>
      </div>

    </div>
  </body>
{% endblock %}
